Bug 1259386 - perl-XML-Merge-1.2.565EgGd-20.fc24 FTBFS: Can't convert '1.12.B55J2qn': Invalid version format (non-numeric data)
Summary: perl-XML-Merge-1.2.565EgGd-20.fc24 FTBFS: Can't convert '1.12.B55J2qn': Inval...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-XML-Tidy
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL: http://koji.fedoraproject.org/koji/ta...
Whiteboard:
Depends On: 1260084
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-09-02 13:47 UTC by Petr Pisar
Modified: 2017-07-26 11:49 UTC (History)
2 users (show)

Fixed In Version: perl-XML-Merge-1.2.565EgGd-21.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-26 11:49:13 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
CPAN 56073 None None None Never

Description Petr Pisar 2015-09-02 13:47:00 UTC
perl-XML-Merge-1.2.565EgGd-20.fc24 fails to build in F24:

Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.oC1E58
+ umask 022
+ cd /builddir/build/BUILD
+ cd XML-Merge-1.2.565EgGd
+ /usr/bin/perl Makefile.PL INSTALLDIRS=vendor
Can't convert '1.12.B55J2qn': Invalid version format (non-numeric data)
Checking if your kit is complete...
Looks good
error: Bad exit status from /var/tmp/rpm-tmp.oC1E58 (%build)
RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.oC1E58 (%build)

Difference between working and failing build root:

        perl-ExtUtils-MakeMaker 	7.04-346.fc23 	> 	7.06-2.fc24
	perl-ExtUtils-Command 	1.20-346.fc23 	> 	7.06-2.fc24
	glib2 	2.45.6-1.fc24 	> 	2.45.7-1.fc24
	python3-dnf-plugins-core 	0.1.10-1.fc24 	> 	0.1.11-1.fc24
	dnf-plugins-core 	0.1.10-1.fc24 	> 	0.1.11-1.fc24
	libgpg-error 	1.19-2.fc23 	> 	1.20-1.fc24
	gdb 	7.10-15.fc24 	> 	7.10-16.fc24

Comment 1 Petr Pisar 2015-09-04 11:31:11 UTC
The "1.12.B55J2qn" is version of XML::Tidy. The direct cause in the perl-XML-Tidy, but the perl-XML-Merge also declares invalid version.

Comment 2 Petr Pisar 2015-09-04 12:32:51 UTC
I will truncate the module version.

Comment 3 Jan Kurik 2016-02-24 13:42:17 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 4 Fedora End Of Life 2017-07-25 19:14:04 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.